<?php
//define this module's name and path
$mn = "odyssey_nivo_slider";
include("modules/modules.php");

/*
Available variables:
All system classes
All request variables
$p (the template path)
$mp (the module path)
$sufixID (id sufix for this module's divs)
*/

$sliderMarginTop = ($moduleParameters['sliderMarginTop'] == "__EMPTY__" || empty($moduleParameters['sliderMarginTop'])) ? 0 : $moduleParameters['sliderMarginTop']."px";
$sliderMarginBottom = ($moduleParameters['sliderMarginBottom'] == "__EMPTY__" || empty($moduleParameters['sliderMarginBottom'])) ? 0 : $moduleParameters['sliderMarginBottom']."px";

$imageFiles = explode(",", $moduleParameters["imageFiles"]);
$slides = array();
$alt = array();
foreach($imageFiles as $slide){
	$mediabankID = $fileSystem->getFileBaseName($slide);
	$slides[] = "mediabank/images/".$slide;
	$alt[] = $fileSystem->getMediabankTitle($mediabankID);
}

$sliderWidth = (int)$moduleParameters["sliderWidth"];
$sliderMinWidth = (int)$moduleParameters["sliderMinWidth"];
$sliderHeight = (int)$moduleParameters["sliderHeight"];
$transitionEffect = $moduleParameters["transitionEffect"];
$slices = (int)$moduleParameters["slices"];
$boxCols = (int)$moduleParameters["boxCols"];
$boxRows = (int)$moduleParameters["boxRows"];
$animationSpeed = (int)$moduleParameters["animationSpeed"];
$pauseTime = (int)$moduleParameters["pauseTime"];
$pauseOnHover = ($moduleParameters['pauseOnHover'] == "__EMPTY__" || empty($moduleParameters['pauseOnHover'])) ? "false" : "true";
$randomStart = ($moduleParameters['randomStart'] == "__EMPTY__" || empty($moduleParameters['randomStart'])) ? "false" : "true";

global $head_styles;
ob_start();
?>
<style>
<?php
if($sliderMinWidth){
	?>
body{min-width:<?php echo $sliderMinWidth;?>px;}
<?php
}
?>
#slider-wrapper{
	overflow:hidden;
	width:100%; 
	min-height: <?php echo $sliderHeight;?>px; 
	position:relative;
	text-align:center;
	background:url(<?php echo $mp;?>images/loading.png) no-repeat 50% 50%;
	margin-top: <?php echo $sliderMarginTop;?>;
	margin-bottom: <?php echo $sliderMarginBottom;?>;
}
#slider{
	margin-left:-<?php echo (int)($sliderWidth/2);?>px;
	left:50%;
	position:absolute;
	display:block;
}
#slider img{
	position:absolute;
	top:0px;
	left:0px;
	display:none;
}
#slider a{
	border:0;
	display:block;
}
.nivoSlider{
	position:relative;
}
.nivoSlider img{
	position:absolute;
	top:0px;
	left:0px;
}
.nivo-slice{
	display:block;
	position:absolute;
	z-index:50;
	height:100%;
}
.nivo-box{
	display:block;
	position:absolute;
	z-index:5;
}
</style>
<?php
$head_styles .= ob_get_clean();
?>
<script>

$(window).load(function() {
    $('#slider').nivoSlider({
        effect: '<?php echo $transitionEffect;?>',
        slices: <?php echo $slices;?>,
        boxCols: <?php echo $boxCols;?>,
        boxRows: <?php echo $boxRows;?>,
        animSpeed: <?php echo $animationSpeed;?>,
        pauseTime: <?php echo $pauseTime;?>, 
        directionNav: false, 
        controlNav: false,
        controlNavThumbs: false,
        pauseOnHover: <?php echo $pauseOnHover;?>,
        randomStart: <?php echo $randomStart;?>, 
    });
});

</script>

<div id="slider-wrapper">
<div id="slider" class="nivoSlider">
<?php
$counter = 0;
foreach($slides as $slide){
?> 
	<img src='<?php echo $slide;?>' alt='<?php echo t($alt[$counter]);?>'>
<?php
$counter++;
}
?>

</div>
</div>
